#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


LEVELS = {
	1: {
		"viruses": 1,
		"worms": 0,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0
	},
	2: {
		"viruses": 2,
		"worms": 0,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0
	},
	3: {
		"viruses": 3,
		"worms": 0,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0	
	},
	4: {
		"viruses": 4,
		"worms": 0,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0		
	},
	5: {
		"viruses": 5,
		"worms": 1,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0
	},
	6: {
		"viruses": 6,
		"worms": 1,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0		
	},
	7: {
		"viruses": 7,
		"worms": 2,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0		
	},
	8: {
		"viruses": 8,
		"worms": 2,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0		
	},
	9: {
		"viruses": 9,
		"worms": 3,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0		
	},
	10: {
		"viruses": 10,
		"worms": 3,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0	
	},
	11: {
		"viruses": 15,
		"worms": 0,
		"trojan_horses": 1,
		"backdoors": 0,
		"rootkits": 0
	},
	12: {
		"viruses": 9,
		"worms": 0,
		"trojan_horses": 4,
		"backdoors": 0,
		"rootkits": 0
	},
	13: {
		"viruses": 8,
		"worms": 8,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 0
	},
	14: {
		"viruses": 8,
		"worms": 6,
		"trojan_horses": 7,
		"backdoors": 0,
		"rootkits": 0
	},
	15: {
		"viruses": 10,
		"worms": 7,
		"trojan_horses": 9,
		"backdoors": 0,
		"rootkits": 0
	},
	"16": {
		"viruses": 0,
		"worms": 0,
		"trojan_horses": 0,
		"backdoors": 2,
		"rootkits": 0
	},
	"17": {
		"viruses": 1,
		"worms": 1,
		"trojan_horses": 1,
		"backdoors": 3,
		"rootkits": 0
	},
	"18": {
		"viruses": 0,
		"worms": 0,
		"trojan_horses": 10,
		"backdoors": 2,
		"rootkits": 0
	},
	"19": {
		"viruses": 10,
		"worms": 5,
		"trojan_horses": 6,
		"backdoors": 1,
		"rootkits": 0	
	},
	"20": {
		"viruses": 0,
		"worms": 10,
		"trojan_horses": 5,
		"backdoors": 1,
		"rootkits": 0		
	},
	"21": {
		"viruses": 20,
		"worms": 10,
		"trojan_horses": 0,
		"backdoors": 0,
		"rootkits": 1		
	},
	"22": {
		"viruses": 4,
		"worms": 4,
		"trojan_horses": 4,
		"backdoors": 4,
		"rootkits": 4		
	},
	"23": {
		"viruses": 6,
		"worms": 6,
		"trojan_horses": 6,
		"backdoors": 6,
		"rootkits": 6		
	},
	"24": {
		"viruses": 8,
		"worms": 8,
		"trojan_horses": 8,
		"backdoors": 8,
		"rootkits": 8		
	},
	"25": {
		"viruses": 10,
		"worms": 10,
		"trojan_horses": 10,
		"backdoors": 10,
		"rootkits": 10		
	}	
}
