#    Inside The Data Tunnel - My game for PyWeek 20.
#    Copyright (C) 2015  Jannik Haberbosch
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.


import pygame
pygame.init()

allowed_area = pygame.Rect( 0, 59, 1024, 650 ) # For testing purposes only.

CONFIG = {
	"_image": "Micro_Robot_Player1.png",
	"_pos_center": ( 512, 368 ),
	"_direction": 270,
	"_speed": 5,
	"_turn_speed": 5,
	"_allowed_area": allowed_area,
	"_max_hitpoints": 1,
	"_current_hitpoints": 1,
	"_projectile_speed": 10,
	"_projectile_image": "Micro_Spaceship_Projectile.png",
	"_projectile_damage": [5, 15],
	"_controls": {
		pygame.K_LEFT: False,
		pygame.K_DOWN: False,
		pygame.K_RIGHT: False,
		pygame.K_UP: False,
		pygame.K_RCTRL: False
	},
	"_ep_to_next_level": 20,
	"_auto_fire_interval": 3
}
